/**
 * 
 */
package vonage2sage;


import java.net.*;
import java.io.*;

public class Click2Call {
    public static String placeCall(String username, String password, String fromNumber, String toNumber) throws IOException {
        URL url = new URL("https://secure.click2callu.com/tpcc/makecall");
        URLConnection conn = url.openConnection();
        conn.setDoOutput(true);
        Writer writer = new OutputStreamWriter(conn.getOutputStream());
        writer.write("username=" + URLEncoder.encode(username, "UTF-8")
                + "&password=" + URLEncoder.encode(password, "UTF-8")
                + "&fromnumber=" + URLEncoder.encode(fromNumber, "UTF-8")
                + "&tonumber=" + URLEncoder.encode(toNumber, "UTF-8"));
        writer.close();
        BufferedReader reader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
        String results = reader.readLine();
        return results;
    }
    
    public static String downloadNumbers(String username, String password) throws IOException {
        URL url = new URL("https://secure.click2callu.com/tpcc/getnumbers");
        URLConnection conn = url.openConnection();
        conn.setDoOutput(true);
        Writer writer = new OutputStreamWriter(conn.getOutputStream());
        writer.write("username=" + URLEncoder.encode(username, "UTF-8")
                + "&password=" + URLEncoder.encode(password, "UTF-8"));
        writer.close();
        BufferedReader reader = new BufferedReader(new InputStreamReader(conn.getInputStream()));
        String results = reader.readLine();
        if (results.endsWith(",")) {
        	results = results.substring(0, results.length()-1);
        }
        return results.toString();
    }
}

